/////////////////////////////////////
///     EFFECTS AND RESOURCE ////////
/////////////////////////////////////
// BY RAM4 BLID 18481 ///////////////
/////////////////////////////////////


/////////////////////////////////////
//Muzzle Flash
datablock ParticleData(WW2muzzleFireParticle)
{
	dragCoefficient      = 0;
	gravityCoefficient   = -0.5;
	inheritedVelFactor   = 0.2;
	constantAcceleration = 0.0;
	lifetimeMS           = 10;
	lifetimeVarianceMS   = 0;
	textureName          = "./effects/Muzzle";
	spinSpeed		= 10.0;
	spinRandomMin		= -500.0;
	spinRandomMax		= 500.0;

	colors[0]     = "0.9 0.9 0 0.3";
	colors[1]     = "1 0.5 0.2 0.5";

	sizes[0]      = 0.30;
        sizes[1]      = 0.30;
 
        times[0] = 0.0;
        times[1] = 0.0;

	useInvAlpha = false;
};
datablock ParticleEmitterData(WW2muzzleFireEmitter)
{
   ejectionPeriodMS = 1;
   periodVarianceMS = 0;
   ejectionVelocity = 48.0;
   velocityVariance = 0.0;
   ejectionOffset   = 0.0;
   thetaMin         = 0;
   thetaMax         = 1;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "WW2muzzleFireParticle";
};
/////////////////////////////////////
//Shells/Casings
datablock DebrisData(WW2ArShellDebris)
{
	shapeFile = "./models/shell1.dts";
	lifetime = 2.0;
	minSpinSpeed = -400.0;
	maxSpinSpeed = 200.0;
	elasticity = 0.5;
	friction = 0.2;
	numBounces = 3;
	staticOnMaxBounce = true;
	snapOnMaxBounce = false;
	fade = true;

	gravModifier = 2;
};

datablock DebrisData(WW2PistolShellDebris)
{
	shapeFile = "./models/shell2.dts";
	lifetime = 2.0;
	minSpinSpeed = -400.0;
	maxSpinSpeed = 200.0;
	elasticity = 0.5;
	friction = 0.2;
	numBounces = 3;
	staticOnMaxBounce = true;
	snapOnMaxBounce = false;
	fade = true;

	gravModifier = 2;
};

datablock DebrisData(WW2ShotgunShellDebris)
{
	shapeFile = "./models/shell3.dts";
	lifetime = 2.0;
	minSpinSpeed = -400.0;
	maxSpinSpeed = 200.0;
	elasticity = 0.5;
	friction = 0.2;
	numBounces = 3;
	staticOnMaxBounce = true;
	snapOnMaxBounce = false;
	fade = true;

	gravModifier = 2;
};